﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace com.alu.ot.ics.api.samples.model
{
    /// <summary>    
    /// </summary>
    public class OTRESTVersions
    {
        /// <summary> </summary>
        public List<OTRESTVersion> versions { get; set; }
    }

    /// <summary> </summary>
    public class OTRESTVersion
    {
        /// <summary> </summary>
        public string id { get; set; }

        /// <summary> </summary>
        public string status { get; set; }

        /// <summary> </summary>
        public string publicUrl { get; set; }

        /// <summary> </summary>
        public string internalUrl { get; set; }
    }

    /// <summary> </summary>
    public class Authentication
    {
        /// <summary> </summary>
        public string credential { get; set; }

        /// <summary> </summary>
        public string publicUrl { get; set; }

        /// <summary> </summary>
        public string internalUrl { get; set; }
    }

    /// <summary> </summary>
    public class SessionRequest
    {
        /// <summary> </summary>
        public string applicationName { get; set; }

        /// <summary> </summary>
        public string applicationAddress { get; set; }
    }

    /// <summary> </summary>
    public class Service
    {
        /// <summary> </summary>
        public string serviceName { get; set; }

        /// <summary> </summary>
        public string serviceVersion { get; set; }

        /// <summary> </summary>
        public string relativeUrl { get; set; }
    }

    /// <summary> </summary>
    public class SessionInfo
    {
        /// <summary> </summary>
        public int timeToLive { get; set; }

        /// <summary> </summary>
        public string publicBaseUrl { get; set; }

        /// <summary> </summary>
        public string privateBaseUrl { get; set; }

        /// <summary> </summary>
        public List<Service> services { get; set; }

        /// <summary> </summary>
        public List<string> capabilities { get; set; }
    }
}
